Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 92443 - the j2ee/refactoring module is missing
the j2ee/refactoring module is missing
Status: VERIFIED WONTFIX
Product: javaee
Classification: Unclassified
Component: Refactoring
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Erno Mononen
issues@javaee
: REGRESSION
Depends on: 104582
Blocks: 88829 92999 71581 97072
  Show dependency treegraph
 
Reported: 2007-01-12 14:49 UTC by Lukas Jungmann
Modified: 2007-08-24 13:54 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Jungmann 2007-01-12 14:49:25 UTC
j2ee/refactoring has not been added to the build yet.

This issue is just for tracking purposes.
Comment 1 Erno Mononen 2007-02-05 15:37:32 UTC
The j2ee/refactoring module should be enabled in M8-M9 timeframe. There are 
plans to split it in smaller modules, so some parts will be enabled sooner than 
others.
Comment 2 Jan Horvath 2007-06-18 12:19:29 UTC
This feature is dropped in 6.0
Comment 3 Erno Mononen 2007-06-18 14:05:35 UTC
To clarify, the j2ee/refactoring module was split into Web refactoring (web/refactoring), JPA refactoring (j2ee/
persistence/refactoring), EJB refactoring (j2ee/ejbrefactoring) and Web Services refactoring. The Web SVC refactoring 
is being tracked in issue 100804. EJB Refactoring is limited to displaying a warning message, but JPA and Web 
refactoring support should be on par with 5.5.
Comment 4 Lukas Jungmann 2007-08-24 13:54:37 UTC
ok


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo